CREATE CONSTRAINT TRIGGER(7)

NAME
CREATE CONSTRAINT TRIGGER - define a new constraint trigger

SYNOPSIS

CREATE CONSTRAINT TRIGGER name
    AFTER events ON
    relation constraint attributes
    FOR EACH ROW EXECUTE PROCEDURE func '(' args ')'

  INPUTS

name
    The name of the constraint trigger.

events
    The event categories for which this trigger should be fired.

relation
    Table name of the triggering relation.

constraint
    Actual constraint specification.

attributes
    Constraint attributes.

func(args)
    Function to call as part of the trigger processing.

  OUTPUTS

CREATE CONSTRAINT
    Message returned if successful.

DESCRIPTION

CREATE CONSTRAINT TRIGGER is used from inside of CREATE/ALTER TABLE and by pg_dump to create the special triggers for referential integrity.

It is not intended for general use.